org.apache.lucene.queryparser.surround.query

## Class SrndTermQuery

- java.lang.Object
- - org.apache.lucene.queryparser.surround.query.SrndQuery
  - - org.apache.lucene.queryparser.surround.query.SimpleTerm
    - - org.apache.lucene.queryparser.surround.query.SrndTermQuery

- All Implemented Interfaces:
    Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

      public class SrndTermQuery
      extends SimpleTerm

  Simple single-term clause

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

      `SimpleTerm.MatchingTermVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrndTermQuery(String termText, boolean quoted)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term` | `getLuceneTerm(String fieldName)`
    `String` | `getTermText()`
    `String` | `toStringUnquoted()`
    `void` | `visitMatchingTerms(IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SimpleTerm

      `addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

      `clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SrndTermQuery

          public SrndTermQuery(String termText,
                               boolean quoted)

  - ### Method Detail

    - #### getTermText

          public String getTermText()

    - #### getLuceneTerm

          public Term getLuceneTerm(String fieldName)

    - #### toStringUnquoted

          public String toStringUnquoted()

      Specified by:
        `toStringUnquoted` in class `SimpleTerm`

    - #### visitMatchingTerms

          public void visitMatchingTerms(IndexReader reader,
                                         String fieldName,
                                         SimpleTerm.MatchingTermVisitor mtv)
                                  throws IOException

      Specified by:
        `visitMatchingTerms` in class `SimpleTerm`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.